Benutzerhandbuch
Version 1.9 — Rev. 3

# Listener - Allgemein

### Listener-Name

#### Beschreibung

Ein eindeutiger Name fuer diesen Listener.

### IP-Adresse

#### Beschreibung

Gibt die IP-Adresse dieses Listeners an. Alle verfuegbaren IP-Adressen werden aufgefuehrt. IPv6-Adressen stehen in "[ ]".
Um auf allen IPv4-Adressen zu lauschen, waehlen Sie ANY. Um auf allen IPv4- und IPv6-Adressen zu lauschen, waehlen Sie [ANY].
Um sowohl IPv4- als auch IPv6-Clients zu bedienen, sollte statt einer einfachen IPv4-Adresse eine IPv4-gemappte IPv6-Adresse verwendet werden. Eine IPv4-gemappte IPv6-Adresse wird als [::FFFF:x.x.x.x] geschrieben.

#### Syntax

Aus Dropdown-Liste auswählen

#### Tipps

Security Wenn Ihre Maschine mehrere IPs in verschiedenen Subnetzen hat, koennen Sie eine bestimmte IP auswaehlen, um nur Datenverkehr aus dem entsprechenden Subnetz zuzulassen.

### Port

#### Beschreibung

Gibt den TCP-Port des Listeners an. Nur der Superuser ("root") kann Ports unter 1024 verwenden. Port 80 ist der Standard-HTTP-Port. Port 443 ist der Standard-HTTPS-Port.

#### Syntax

Ganzzahl

### Bindung

#### Beschreibung

Gibt an, welchem lshttpd-Kindprozess der Listener zugewiesen wird. Verschiedene Kindprozesse koennen verwendet werden, um Anfragen an verschiedene Listener zu verarbeiten, indem ein Listener manuell einem Prozess zugeordnet wird. Standardmaessig wird ein Listener allen Kindprozessen zugewiesen.

#### Syntax

Per Kontrollkästchen auswählen

### REUSEPORT aktivieren

#### Beschreibung

Verwendet die Socket-Option SO_REUSEPORT, um eingehenden Datenverkehr auf mehrere Worker zu verteilen. Diese Einstellung ist nur fuer Lizenzen mit mehreren Workern wirksam. Wenn sie aktiviert ist, werden alle Worker automatisch an diesen Listener gebunden und die Konfiguration "Bindung" wird ignoriert.
Standardwert: Ein

#### Syntax

Aus Optionsfeldern auswählen

### Sicher

#### Beschreibung

Gibt an, ob dies ein sicherer (SSL-)Listener ist. Fuer sichere Listener muessen zusaetzliche SSL-Einstellungen richtig gesetzt werden.

#### Syntax

Aus Optionsfeldern auswählen

### Zuordnungen virtueller Hosts

#### Beschreibung

Gibt die Beziehung zwischen dem Listener und virtuellen Hosts an. Listener und virtuelle Hosts werden ueber Domainnamen verknuepft. Eine HTTP-Anfrage wird an einen virtuellen Host mit passendem Domainnamen weitergeleitet. Ein Listener kann fuer verschiedene Domainnamen mehreren virtuellen Hosts zugeordnet werden. Ein virtueller Host kann auch von verschiedenen Listenern zugeordnet werden. Ein Listener kann einen Catchall-virtuellen Host mit dem Domainnamenwert "*" zulassen. Wenn in der Zuordnung des Listeners kein explizit passender Domainname vorhanden ist, leitet der Listener die Anfrage an diesen Catchall-virtuellen Host weiter.

#### Tipps

Performance Fuegen Sie nur notwendige Zuordnungen hinzu. Wenn der Listener nur einem virtuellen Host zugeordnet ist, richten Sie nur eine Catchall-Zuordnung "*" ein.

### Virtueller Host

#### Beschreibung

Gibt den Namen eines virtuellen Hosts an.

#### Syntax

Aus Dropdown-Liste auswählen

### Domains

#### Beschreibung

Gibt die Domainnamen fuer die Zuordnung an. Bei Domainnamen wird nicht zwischen Gross- und Kleinschreibung unterschieden, und ein fuehrendes "www." wird entfernt. Die Platzhalterzeichen "*" und "?" sind erlaubt. "?" steht nur fuer ein einzelnes Zeichen. "*" steht fuer eine beliebige Anzahl von Zeichen. Doppelte Domainnamen sind nicht erlaubt.

#### Syntax

Durch Kommas getrennte Liste.

#### Beispiel

www?.example.com
"*.mydomain.com" stimmt mit allen Subdomains von mydomain.com ueberein.
"*" allein ist die Catchall-Domain und stimmt mit jedem nicht anderweitig zugeordneten Domainnamen ueberein.

#### Tipps

Performance Wenn ein Listener einem einzelnen virtuellen Host gewidmet ist, verwenden Sie immer * als Domainnamen, um unnoetige Pruefungen zu vermeiden. Domainnamen mit Platzhalterzeichen (ausser der Catchall-Domain) sollten nach Moeglichkeit vermieden werden.